<?php
// START Settings:

//WordPress Root Directory
$wp_root = "./"; // WITH trailing slash!

// Parallel directory to 'atahualpa' with image files (source)
$atahualpa_images = 'atahualpa_images';

// END Settings

?>
<html>
<head>
<script type="text/javascript">
  <!--
    function confirmation() {
      var answer = confirm("Update Images?")
      if (answer){
        window.location = "<?php $_SERVER['SCRIPT_NAME']; ?>?DoThatUpdate=true";
      }
      else{
        alert("Nothing has been changed.")
      }
      answer='';
    }
  //-->
</script>
</head>
<body>
<?php
// Get WordPress API
define('WP_USE_THEMES', false);
require($wp_root . 'wp-load.php');

// Output some info
$site_url = get_bloginfo( 'wpurl' );
echo 'The WordPress Root URL is: <b>' . $site_url .'</b><br/>'; 

// Get Theme directory
$themedir = get_stylesheet_directory() ;

// Make sure we have Atahualpa as current theme.
// If not, abort!
if(strpos($themedir, 'atahualpa')+strlen('atahualpa') === strlen($themedir)){
		echo 'Current Theme Directory : <b>' .  get_stylesheet_directory()  .'</b><br/><br/>'; 
	} else {
		echo 'Current Theme is NOT <b>Atahualpa</b>! Script aborted.'; 
		exit;
}

// REMOVE FOR PRODUCTION
$theme = get_stylesheet_directory();
$mytheme = str_ireplace("atahualpa",$atahualpa_images,$theme);

// Debug output
echo "<p><b>PLEASE MAKE A BACKUP OF EVERYTHING, BEFORE YOU CONTINUE WITH THE COPY PROCESS.</b></p>";
echo "<p>Copy from: <b>" . $mytheme .'</b><br/>';
echo "Copy to  : <b>" . $theme .'</b></p>';

?>

<form>
<input type="button" onclick="confirmation()" value="Update Images">
</form>

<p><a href="<?php $_SERVER['SERVER_NAME']; ?>/">Back to <?php echo $_SERVER['SERVER_NAME']; ?></a></p>

<?php

if (isset($_GET['DoThatUpdate']) ) {

  if ($_GET['DoThatUpdate'] == 'true'){ 
  
		$theme = get_stylesheet_directory();
		$mytheme = str_ireplace("atahualpa",$atahualpa_images,$theme);
    
    $source = $mytheme . '/images/';
    $dest = $theme . '/images/';
        
    echo "<br />";
    echo " ### Removing Standard Header Images ### <br />";
    destroy($dest.'header/');
    echo " ### All Header Images Have Been Removed. ### <br />";
    
    copyr($mytheme, $theme);
    
    echo "<p> ### All Done. ### </p>"; 

  }
}
 
function destroy($dir) {
    $mydir = opendir($dir);
    while(false !== ($file = readdir($mydir))) {
        if($file != "." && $file != "..") {
            chmod($dir.$file, 0777);
            if(is_dir($dir.$file)) {
                chdir('.');
                destroy($dir.$file.'/');
                rmdir($dir.$file) or DIE("couldn't delete $dir$file<br />");
            }
            else
                unlink($dir.$file) or DIE("couldn't delete $dir$file<br />");
        }
    }
    closedir($mydir);
}

function stringEndsWith($haystack, $ending, $caseInsensitivity = false)
{
    if ($caseInsensitivity)
        return strcasecmp(substr($haystack, strlen($haystack) - strlen($ending)), $haystack) == 0;
    else
        return strpos($haystack, $ending, strlen($haystack) - strlen($ending)) !== false;
}


/**
 * Copy a file, or recursively copy a folder and its contents
 *
 * @author      Aidan Lister <aidan@php.net>
 * @version     1.0.1
 * @link        http://aidanlister.com/2004/04/recursively-copying-directories-in-php/
 * @param       string   $source    Source path
 * @param       string   $dest      Destination path
 * @return      bool     Returns TRUE on success, FALSE on failure
 */
function copyr($source, $dest)
{
    // Check for symlinks
    if (is_link($source)) {
        return symlink(readlink($source), $dest);
    }
     
    // Simple copy for a file
    if (is_file($source)) {
        return copy($source, $dest);
    }
 
    // Make destination directory
    if (!is_dir($dest)) {
        mkdir($dest);
    }
 
    // Loop through the folder
    $dir = dir($source);
    while (false !== $entry = $dir->read()) {
        // Skip pointers
        if ($entry == '.' || $entry == '..') {
            continue;
        }
        
        echo "File <b>" . $source . "/" . $entry . "</b> copied to: " . $entry . "<br />";
        
        // echo "<b>" . $source . "/" . $entry . "</b> size " . filesize("$source/$entry") . "<br />\n";
        // echo "<b>" . $dest . "/" . $entry . "</b> size " . filesize("$dest/$entry") . "<br />\n";
        // echo "----<br />\n";
 
        // Deep copy directories
        copyr("$source/$entry", "$dest/$entry");
    }
 
    // Clean up
    $dir->close();
    return true;
}

?>
</body>
</html>